FLAC 1.4.2 Free Lossless Audio Codec

Public Attributes | List of all members
FLAC__StreamMetadata Struct Reference
FLAC C API » FLAC/format.h: format components

`#include <format.h>`

## Public Attributes
FLAC__MetadataType | type
FLAC__bool | is_last
uint32_t | length
union {
FLAC__StreamMetadata_StreamInfo stream_info
FLAC__StreamMetadata_Padding padding
FLAC__StreamMetadata_Application application
FLAC__StreamMetadata_SeekTable seek_table
FLAC__StreamMetadata_VorbisComment vorbis_comment
FLAC__StreamMetadata_CueSheet cue_sheet
FLAC__StreamMetadata_Picture picture
FLAC__StreamMetadata_Unknown unknown
} | data

## Detailed Description

FLAC metadata block structure. (c.f. format specification)

The documentation for this struct was generated from the following file:

- include/FLAC/format.h

Copyright (c) 2000-2009 Josh Coalson Copyright (c) 2011-2022 Xiph.Org Foundation